Packaging - Bug #28939

satellite-change-hostname isnt updating dynamic dns file with new hosthame
02/05/2020 03:30 PM - Jeremy Lenz

Status: Closed

Priority: Normal

Assignee: Jeremy Lenz

Category:

Target version:

Difficulty: Fixed in Releases: 2.1.0
Triaged: No Found in Releases:
Bugzilla link: 1789752 Red Hat JIRA:

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/4706

Description
Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1789752

Description of problem:
satellite-change-hostname isnt updating the dynamic dns file "var/named/dynamic/db.{dns}"

Version-Release number of selected component (if applicable):
Satellite 6.7 snap 1 to 7, Satellite 6.6.z

How reproducible:
Always

Steps to Reproduce:

1. Install satellite 6.7 that has hostname say \'x\'.

2. Run satellite-change-hostname with different hostname say \'y\'.

3. Check the hostname is changed in the dynamic DNS file of the satellite. (i.e "var/named/dynamic/db.{dns}")

Actual results:
1. The new hostname entry is not updated in dynamic dns file.
2. This resulted in PXE Discovery to fail as the discovered host is not able to find satellite with the hostname.

Expected results:
1. The new hostname entry should be updated in dynamic dns file.
2. This PXE Discovery should pass and discovered host should be able to find satellite with the hostname.

Additional info:
Discovery post satellite-change-hostname was working earlier in Satellite 6.6 GA and we can say its now a regression(in 6.6.z and
6.7) but | have never checked satellite-change-hostname does change the entry or not.'

Associated revisions

Revision 7583d57f - 03/09/2020 01:44 PM - Jeremy Lenz
Fixes #28939 - change-hostname: update DNS records when changing hostname (#4706)

® Fixes #28939 - update DNS records after changing hostname

Refs #28939 - update definition of dns_managed?
don't give dns resolver a search param

Refs #28939 - loop over multiple reverse zones

Refs #28939 - use .map

Refs #28939 - only support nsupdate provider

Refs #28939 - add ewoud loop
® Refs #28939 - correct module name

¢ Refs #28939 - handle multiple reverse zones

e Refs #28939 - don't modify A records for reverse zones
e Refs #28939 - clean up

¢ Refs #28939 - instantiate resolver outside of loop

e Refs #28939 - use end_with? instead of include?

e Refs #28939 - refactor precheck; more cleanup

¢ Refs #28939 - address final comments (hopefully)

e Refs #28939 - address further comments

History

#1 - 02/05/2020 03:32 PM - Jeremy Lenz
- Project changed from Foreman to Installer

- Subject changed from satellite-change-hostname isnt updating dynamic dns file with new hostname
to satellite-change-hostname isnt updating dynamic dns file with new hostname

- Category set to External modules

- Assignee set to Jeremy Lenz

#2 - 02/05/2020 03:58 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/puppet-dns/pull/154 added

#3 - 02/05/2020 04:44 PM - Ewoud Kohl van Wijngaarden

- Project changed from Installer to Packaging

- Category deleted (External modules)

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/puppet-dns/pull/154)

This is not something the installer is designed to do. The installer creates an initial zone with a minimal structure to work but after that the zone is
considered database. The installer tries to avoid managing databases wherever possible.

#4 - 02/11/2020 09:01 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman-packaging/pull/4706 added

#5 - 03/09/2020 01:44 PM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#6 - 03/09/2020 02:01 PM - Jeremy Lenz
- Status changed from Ready For Testing to Closed

Applied in changeset foreman-packaging|7583d57fa620e90fd06b1087a324dcala2{5f1b1.
